* [gentoo-commits] repo/proj/guru:dev commit in: net-misc/starfish/
@ 2021-12-19 14:13 Anna Vyalkova
0 siblings, 0 replies; 2+ messages in thread
From: Anna Vyalkova @ 2021-12-19 14:13 UTC (permalink / raw
To: gentoo-commits
commit: 73baebaae42b946e01ac13c5d11421b6b01e2581
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Thu Dec 16 13:33:43 2021 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Dec 19 12:13:10 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=73baebaa
net-misc/starfish: add 1.3.0
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
net-misc/starfish/Manifest | 1 +
net-misc/starfish/starfish-1.3.0.ebuild | 59 +++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/net-misc/starfish/Manifest b/net-misc/starfish/Manifest
index 294f8d05c..80b1704b1 100644
--- a/net-misc/starfish/Manifest
+++ b/net-misc/starfish/Manifest
@@ -1 +1,2 @@
DIST starfish-1.2.0.tar.gz 1104871 BLAKE2B 1d1748eb5ccdcf083ee093a7f3ada78327e84bafbfaea990a85723b30da6633036f90005ab255c2d947e1fc202ca25ed7f9ebc592dac16ad2a16481dfc069b6b SHA512 68680f3dd2be36d7b43ed7e127f1e9480d4d9ad5e1f71354337d90163e3818fbcdabc9b02176807422bd1cbf581fabd2e3fba58a2f2ab22fa2667d2af08417e4
+DIST starfish-1.3.0.tar.gz 1099739 BLAKE2B 4ea566b4627f444f62c522bb28ee07f1466b08c2e767a4840b2875fa2739965f4ad9e133aa30f015590d1ca3d5bf33ea9c70bb60a318def1af337f38b57c7439 SHA512 1d37a77a550020067642ef1d9aaf12fd58f0b920d8605c831715ce131272f65deaddf06df4b60a0710db367d582c64bec08a8262ffc9f6e8f618045f56047939
diff --git a/net-misc/starfish/starfish-1.3.0.ebuild b/net-misc/starfish/starfish-1.3.0.ebuild
new file mode 100644
index 000000000..7061e4a0f
--- /dev/null
+++ b/net-misc/starfish/starfish-1.3.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome2-utils meson vala xdg
+
+DESCRIPTION="A Gemini browser for elementary OS"
+HOMEPAGE="https://github.com/starfish-app/Starfish"
+SRC_URI="https://github.com/${PN}-app/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN^}-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ app-text/gtkspell:3=[vala]
+ dev-libs/glib:2
+ dev-libs/granite
+ dev-libs/libgee:=
+ gui-libs/libhandy:1
+ net-libs/gnutls:=
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+"
+RDEPEND="${DEPEND}"
+BDEPEND="$(vala_depend)"
+
+src_prepare() {
+ default
+ vala_src_prepare
+
+ sed "s/'doc', 'starfish'/'doc', '${PF}'/" -i meson.build || die
+ sed \
+ -e "s:{{MESON_INSTALL_PREFIX}}:${EPREFIX}/usr:g" \
+ -e "s:doc/starfish:doc/${PF}:g" \
+ -i data/gschema.xml || die
+}
+
+pkg_preinst() {
+ gnome2_schemas_savelist
+ gnome2_gdk_pixbuf_update
+ xdg_pkg_preinst
+}
+
+pkg_postinst() {
+ gnome2_gconf_install
+ gnome2_schemas_update
+ gnome2_gdk_pixbuf_update
+ xdg_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_gconf_uninstall
+ gnome2_schemas_update
+ gnome2_gdk_pixbuf_update
+ xdg_pkg_postrm
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: net-misc/starfish/
@ 2021-12-19 14:13 Anna Vyalkova
0 siblings, 0 replies; 2+ messages in thread
From: Anna Vyalkova @ 2021-12-19 14:13 UTC (permalink / raw
To: gentoo-commits
commit: 9f1465c034ba6f1c15b6b97a14ef4795575edc5a
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Dec 19 10:06:17 2021 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Dec 19 12:13:11 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9f1465c0
net-misc/starfish: add 1.3.1, drop 1.3.0
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
net-misc/starfish/Manifest | 2 +-
net-misc/starfish/{starfish-1.3.0.ebuild => starfish-1.3.1.ebuild} | 0
2 files changed, 1 insertion(+), 1 deletion(-)
diff --git a/net-misc/starfish/Manifest b/net-misc/starfish/Manifest
index 80b1704b1..bc2d47d7c 100644
--- a/net-misc/starfish/Manifest
+++ b/net-misc/starfish/Manifest
@@ -1,2 +1,2 @@
DIST starfish-1.2.0.tar.gz 1104871 BLAKE2B 1d1748eb5ccdcf083ee093a7f3ada78327e84bafbfaea990a85723b30da6633036f90005ab255c2d947e1fc202ca25ed7f9ebc592dac16ad2a16481dfc069b6b SHA512 68680f3dd2be36d7b43ed7e127f1e9480d4d9ad5e1f71354337d90163e3818fbcdabc9b02176807422bd1cbf581fabd2e3fba58a2f2ab22fa2667d2af08417e4
-DIST starfish-1.3.0.tar.gz 1099739 BLAKE2B 4ea566b4627f444f62c522bb28ee07f1466b08c2e767a4840b2875fa2739965f4ad9e133aa30f015590d1ca3d5bf33ea9c70bb60a318def1af337f38b57c7439 SHA512 1d37a77a550020067642ef1d9aaf12fd58f0b920d8605c831715ce131272f65deaddf06df4b60a0710db367d582c64bec08a8262ffc9f6e8f618045f56047939
+DIST starfish-1.3.1.tar.gz 1093518 BLAKE2B 320f39f426c0430e026e56dd111cff4569f47f1793feecc4ab2b29823b78a8fd78ca3b246f0bceea8d15851b51d17b45ec42d4731f3da9e28c6162eaf46fea54 SHA512 77b4976b649820a58430a69e1fde7d34a5cce8af4ebe8de5704a63dce5b70148c34cfaf35bd88b0acb8d08c4dda0c57916b61a8aef2ac567393f70bdead31cdd
diff --git a/net-misc/starfish/starfish-1.3.0.ebuild b/net-misc/starfish/starfish-1.3.1.ebuild
similarity index 100%
rename from net-misc/starfish/starfish-1.3.0.ebuild
rename to net-misc/starfish/starfish-1.3.1.ebuild
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2021-12-19 14:13 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-12-19 14:13 [gentoo-commits] repo/proj/guru:dev commit in: net-misc/starfish/ Anna Vyalkova
-- strict thread matches above, loose matches on Subject: below --
2021-12-19 14:13 Anna Vyalkova
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox